<?php
!defined('EMLOG_ROOT') && exit('access denied!');

function plugin_setting_view() {

    $plugin_storage = Storage::getInstance('hitokoto');
    $data_c = $plugin_storage->getValue('c');
    $data_status = $plugin_storage->getValue('status') ?: [];
    $data_footerstyle = $plugin_storage->getValue('footerstyle');

    $categories = [
        'a' => '动画',
        'b' => '漫画',
        'c' => '游戏',
        'd' => '文学',
        'e' => '原创',
        'f' => '来自网络',
        'g' => '其他',
        'h' => '影视',
        'i' => '诗词',
        'j' => '网易云',
        'k' => '哲学',
        'l' => '抖机灵',
    ];
    $status = [
        'indexFooter'  => '页面底部显示一言',
        'admMainTop'   => '后台首页显示一言',
    ];

    // 提交表单并保存选项
    if (!empty($_POST['form'])) {
        if($_POST['form']==1){
            if(empty($_POST['interests'])){
                echo '<div class="alert alert-danger">提交失败！内容不能为空！</div>';
            }
            else{
                $data_c = $_POST['interests'];
                $plugin_storage->setValue('c', $data_c, 'array');
                echo '<div class="alert alert-success">已提交</div>';
            }
        }
        elseif($_POST['form']==2){
            $data_status = is_array($_POST['status']) ?$_POST['status']:[];
            $plugin_storage->setValue('status', $data_status, 'array');
            echo '<div class="alert alert-success">已提交</div>';
        }
        elseif($_POST['form']==3){
            if($_POST['btn']=='恢复默认'){
                $data_footerstyle = '<hr/><div style="text-align: center;"><p>{hitokoto} | {from}</p></div>';
                $plugin_storage->setValue('footerstyle', $data_footerstyle);
                echo '<div class="alert alert-success">已恢复默认</div>';
            }else{
                $data_footerstyle = $_POST['footerstyle'];
                $plugin_storage->setValue('footerstyle', $data_footerstyle);
                echo '<div class="alert alert-success">已提交</div>';
            }
        }
    }
    ?>

    <h3>一言设置</h3>
    <br/>
    <ul class="nav nav-pills" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link" id="category-tab" data-toggle="tab" href="#category" role="tab" aria-controls="category">展示类型</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="status-tab" data-toggle="tab" href="#status" role="tab" aria-controls="status">开关</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="style-tab" data-toggle="tab" href="#style" role="tab" aria-controls="style">前端代码</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade" id="category" role="tabpanel" aria-labelledby="category-tab">
            <!-- 展示类型 -->
            <form method="post">
                <input type="hidden" name="form" value="1">
                <div style="display: inline-block">
                    <div class="card shadow mb-4 mt-2">
                        <div class="card-body">
                            <h4>展示类型<small>（不允许留空）</small></h4>
                            <hr/>
                            <div style="column-count: 2">
                                <?php foreach ($categories as $key => $value): ?>
                                    <label>
                                        <input type="checkbox" name="interests[]" value="<?= $key ?>" <?= in_array($key, $data_c) ? 'checked' : '' ?>>
                                        <?= $value ?>
                                    </label>
                                    <br/>
                                <?php endforeach; ?>
                            </div>
                            <input type="submit" class="btn btn-success btn-sm btn-block" value="提交"/>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="tab-pane fade" id="status" role="tabpanel" aria-labelledby="status-tab">
            <!-- 开关 -->
            <form method="post">
                <input type="hidden" name="form" value="2">
                <div style="display: inline-block">
                    <div class="card shadow mb-4 mt-2">
                        <div class="card-body">
                            <h4>开关</h4>
                            <hr/>
                            <div style="column-count: 1">
                                <?php foreach ($status as $key => $value): ?>
                                    <label>
                                        <input type="checkbox" name="status[]" value="<?= $key ?>" <?= in_array($key, $data_status) ? 'checked' : '' ?>>
                                        <?= $value ?>
                                    </label>
                                    <br/>
                                <?php endforeach; ?>
                            </div>
                            <input type="submit" class="btn btn-success btn-sm btn-block" value="提交"/>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="tab-pane fade" id="style" role="tabpanel" aria-labelledby="style-tab">
            <form method="post">
                <input type="hidden" name="form" value="3">
                <div class="card shadow mb-4 mt-2">
                    <div class="card-body">
                        <h4>前端HTML代码</h4>
                        <strong>* 请根据需要在代码中插入以下内容：<br/>{hitokoto}：一言正文；{type}：一言类型；{from}：一言出处；{author}：一言作者。</strong>
                        <br/>
                        <label for="code-input"></label>
                        <textarea class="form-control code-input" id="code-input" name ="footerstyle" rows="10" spellcheck="false"><?php echo $data_footerstyle; ?></textarea>
                        <input type="submit" class="btn btn-success btn-sm" name="btn" value="提交"/>
                        <input type="submit" class="btn btn-primary btn-sm" name="btn" value="恢复默认"/>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script>
        $(function() {
            var hash = window.location.hash || '#category';
            $('.nav-link[href="' + hash + '"]').tab('show');

            $(window).on('hashchange', function() {
                var hash = window.location.hash;
                if (hash) {
                    $('.nav-link[href="' + hash + '"]').tab('show');
                }
            });

            $('.nav-link').on('click', function(e) {
                e.preventDefault();
                window.location.hash = $(this).attr('href');
            });
        });

        // 隐藏提示信息
        setTimeout(hideActived, 1500);

    </script>

<?php }
